<div class="slide-div">

  <md-slide-toggle (change)="setApproval($event)" class="example-margin" color="accent" [disabled]="(disabled || submitting)"
    [checked]="approved">
    <div *ngIf="approved; else elseBlock"> Approved</div>
    <ng-template #elseBlock>Not approved</ng-template>
  </md-slide-toggle>

  <!-- Spinner -->
  <div *ngIf="submitting">
    <md-spinner color="warn" class="small-md-spinner"></md-spinner>
  </div>
  <!-- /Spinner -->

</div>
